summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2019-11-25 07:33:26 +0100
committerRemi Collet <remi@remirepo.net>2019-11-25 07:33:26 +0100
commitf70437c284e6762046dfe6d5667612453c5f94fe (patch)
tree3d5595b6fdf87db5ee85ce095c495f3f57775e93
parent54e625f4b1cf736bbaafe183b3e14c278da29fe3 (diff)
-rw-r--r--phan-autoload.patch29
-rw-r--r--phan.spec7
2 files changed, 20 insertions, 16 deletions
diff --git a/phan-autoload.patch b/phan-autoload.patch
index 0698111..dc5fc92 100644
--- a/phan-autoload.patch
+++ b/phan-autoload.patch
@@ -1,10 +1,10 @@
diff -up ./src/Phan/Bootstrap.php.rpm ./src/Phan/Bootstrap.php
---- ./src/Phan/Bootstrap.php.rpm 2019-05-14 10:31:18.879987819 +0200
-+++ ./src/Phan/Bootstrap.php 2019-05-14 10:32:33.370482249 +0200
-@@ -42,21 +42,8 @@ if (PHP_VERSION_ID < 70100) {
- exit(1);
+--- ./src/Phan/Bootstrap.php.rpm 2019-11-25 07:24:07.197111533 +0100
++++ ./src/Phan/Bootstrap.php 2019-11-25 07:25:17.914851384 +0100
+@@ -109,21 +109,9 @@ if (extension_loaded('ast')) {
+ phan_output_ast_installation_instructions();
+ }
}
-
-// Use the composer autoloader
-$found_autoloader = false;
-foreach ([
@@ -20,23 +20,24 @@ diff -up ./src/Phan/Bootstrap.php.rpm ./src/Phan/Bootstrap.php
-if (!$found_autoloader) {
- fwrite(STDERR, "Could not locate the autoloader\n");
-}
++
+// Use the fedora autoloader
+require_once __DIR__ . '/../autoload.php';
define('EXIT_SUCCESS', 0);
define('EXIT_FAILURE', 1);
diff -up ./src/phan.php.rpm ./src/phan.php
---- ./src/phan.php.rpm 2019-05-14 10:27:30.000000000 +0200
-+++ ./src/phan.php 2019-05-14 10:31:18.880987825 +0200
+--- ./src/phan.php.rpm 2019-11-25 07:23:25.000000000 +0100
++++ ./src/phan.php 2019-11-25 07:24:07.197111533 +0100
@@ -1,3 +1,4 @@
+#!/usr/bin/env php
<?php declare(strict_types=1);
// Phan does a ton of GC and this offers a major speed
diff -up ./src/Phan/Plugin/ConfigPluginSet.php.rpm ./src/Phan/Plugin/ConfigPluginSet.php
---- ./src/Phan/Plugin/ConfigPluginSet.php.rpm 2019-05-14 10:31:18.880987825 +0200
-+++ ./src/Phan/Plugin/ConfigPluginSet.php 2019-05-14 10:33:30.750863075 +0200
-@@ -775,7 +775,7 @@ final class ConfigPluginSet extends Plug
+--- ./src/Phan/Plugin/ConfigPluginSet.php.rpm 2019-11-25 07:23:25.000000000 +0100
++++ ./src/Phan/Plugin/ConfigPluginSet.php 2019-11-25 07:24:07.197111533 +0100
+@@ -767,7 +767,7 @@ final class ConfigPluginSet extends Plug
*/
public static function getBuiltinPluginDirectory() : string
{
@@ -46,16 +47,16 @@ diff -up ./src/Phan/Plugin/ConfigPluginSet.php.rpm ./src/Phan/Plugin/ConfigPlugi
private function ensurePluginsExist() : void
diff -up ./src/prep.php.rpm ./src/prep.php
---- ./src/prep.php.rpm 2019-05-14 10:27:31.000000000 +0200
-+++ ./src/prep.php 2019-05-14 10:31:18.880987825 +0200
+--- ./src/prep.php.rpm 2019-11-25 07:23:25.000000000 +0100
++++ ./src/prep.php 2019-11-25 07:24:07.197111533 +0100
@@ -1,3 +1,4 @@
+#!/usr/bin/env php
<?php declare(strict_types=1);
// Phan does a ton of GC and this offers a major speed
diff -up ./src/requirements.php.rpm ./src/requirements.php
---- ./src/requirements.php.rpm 2019-05-14 10:27:30.000000000 +0200
-+++ ./src/requirements.php 2019-05-14 10:31:18.880987825 +0200
+--- ./src/requirements.php.rpm 2019-11-25 07:23:25.000000000 +0100
++++ ./src/requirements.php 2019-11-25 07:24:07.197111533 +0100
@@ -8,10 +8,10 @@ if ((int)phpversion()[0] < 7) {
exit(1);
}
diff --git a/phan.spec b/phan.spec
index 133b310..a4f58ff 100644
--- a/phan.spec
+++ b/phan.spec
@@ -10,14 +10,14 @@
# For compatibility with SCL
%undefine __brp_mangle_shebangs
-%global gh_commit c1e1c2dfef6e6f5959a84b8fc9cc2849a7b04070
+%global gh_commit 9236f30e5b6ccb582ebc77b1635eabe08bdecf9e
%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner phan
#global gh_date 20150820
%global gh_project phan
%global psr0 Phan
%global with_tests 0%{!?_without_tests:1}
-%global upstream_version 2.4.3
+%global upstream_version 2.4.4
#global upstream_prever RC2
Name: %{gh_project}
@@ -242,6 +242,9 @@ EOF
%changelog
+* Mon Nov 25 2019 Remi Collet <remi@remirepo.net> - 2.4.4-1
+- update to 2.4.4
+
* Thu Nov 21 2019 Remi Collet <remi@remirepo.net> - 2.4.3-1
- update to 2.4.3
- add explicit dependency on netresearch/jsonmapper